Subject: LMG Complaint
From: Saurabh Dadu <[email-masked]>
To: Shakeeb Arsalan <[email-masked]>
Date: Thu, 16 Sep 2021 11:10:20 +0000

Shakeeb,

Please see the complaint we have received from Landmark. This is very serious. I need you to investigate all of this and come back to me by end of the day today.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Mustehsan Siddiqui <[email-masked]>
Sent: 16 September 2021 4:26 PM
To: Saurabh Dadu <[email-masked]>
Cc: Jessie Caparas <[email-masked]>
Subject: Re: CHERRY INVOICES

Hi Saurabh,

Post our conversation, my team did deep dive into the tickets/responses handled by the agents. What we have found out is really surprising & unacceptable, agents are replying unnecessary on one email, unwanted replies on a single emails are as high as 17 times.

I am surprised to see this process being followed & I am not sure who has instructed the agents to do so. Why are they sending repeated responses? I don’ think so this providing a better experience but it is just increasing the count of responses.

Attaching a set of random audits done by team to specifically check the count of tickets, 55% of these tickets have more than 3 responses when in general it should have been solved in 1 or 2 response. Agents are repeatedly asking for order details/email IDs, whereas all of these details are readily available based on customer’s history in Freshdesk. They are sending repeated apologies email, how will that help? Won’t it be better to have a more streamlined process & just give a solution in 2nd or 3rd response maximum.

I am really disappointed by this approach & I don’t see any valid explanation around it. We will cap the limit of responses moving forward & scheduling or staffing requirement will be done based on that capping. We are unnecessary increasing cost whereas things can be done more efficiently.

Need a detailed RCA as why this approach is being followed & how LSM is going to fix this?

Regards,

Mustehsan Siddiqui